UbixOS V2 2.0

Macros
asmacros.h File Reference

Go to the source code of this file.

## Macros
#define | ALIGN_TEXT .p2align 4,0x90 /* 16-byte alignment, nop filled */
#define | CNAME(csym) csym
#define | END(name) .size name, . - name
#define | ENTRY(name) GEN_ENTRY(name) ; 9: ; MCOUNT
#define | GEN_ENTRY(name)
#define | MCOUNT nop

## Macro Definition Documentation

## ◆ ALIGN_TEXT

#define ALIGN_TEXT .p2align 4,0x90 /* 16-byte alignment, nop filled */

Definition at line 46 of file asmacros.h.

## ◆ CNAME

#define CNAME | ( |  | csym | ) | csym

Definition at line 45 of file asmacros.h.

## ◆ END

#define END | ( |  | name | ) | .size name, . - name

Definition at line 53 of file asmacros.h.

## ◆ ENTRY

#define ENTRY | ( |  | name | ) | GEN_ENTRY(name) ; 9: ; MCOUNT

Definition at line 51 of file asmacros.h.

## ◆ GEN_ENTRY

#define GEN_ENTRY | ( |  | name | ) |

Value:
ALIGN_TEXT; .globl CNAME(name); \
.type CNAME(name),@function; CNAME(name):

Definition at line 48 of file asmacros.h.

## ◆ MCOUNT

#define MCOUNT nop

Definition at line 52 of file asmacros.h.

ALIGN_TEXT
#define ALIGN_TEXT
Definition: asmacros.h:46
name
const char * name
Definition: pci.c:37
CNAME
#define CNAME(csym)
Definition: asmacros.h:45